Bug 2180530 (CVE-2023-20861) - CVE-2023-20861 springframework: Spring Expression DoS Vulnerability
Summary: CVE-2023-20861 springframework: Spring Expression DoS Vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2023-20861
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2180533 2180717 2180718
Blocks: 2180482
TreeView+ depends on / blocked
 
Reported: 2023-03-21 16:40 UTC by Patrick Del Bello
Modified: 2024-02-12 10:37 UTC (History)
83 users (show)

Fixed In Version: springframework 6.0.7, springframework 5.3.26
Doc Type: ---
Doc Text:
A flaw found was found in Spring Framework. This flaw allows a malicious user to use a specially crafted SpEL expression that causes a denial of service (DoS).
Clone Of:
Environment:
Last Closed: 2023-05-17 19:11:18 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2023:2100 0 None None None 2023-05-03 14:07:09 UTC
Red Hat Product Errata RHSA-2023:3185 0 None None None 2023-05-17 13:59:07 UTC
Red Hat Product Errata RHSA-2023:3610 0 None None None 2023-06-15 00:15:06 UTC
Red Hat Product Errata RHSA-2023:3622 0 None None None 2023-06-15 09:01:35 UTC
Red Hat Product Errata RHSA-2023:3771 0 None None None 2023-06-21 19:54:29 UTC
Red Hat Product Errata RHSA-2023:3954 0 None None None 2023-06-29 20:08:31 UTC
Red Hat Product Errata RHSA-2023:4612 0 None None None 2023-08-16 10:56:13 UTC
Red Hat Product Errata RHSA-2024:0778 0 None None None 2024-02-12 10:37:01 UTC

Description Patrick Del Bello 2023-03-21 16:40:34 UTC
In Spring Framework versions 6.0.0 - 6.0.6, 5.3.0 - 5.3.25, 5.2.0.RELEASE - 5.2.22.RELEASE, and older unsupported versions, it is possible for a user to provide a specially crafted SpEL expression that may cause a denial-of-service (DoS) condition.

Comment 1 Patrick Del Bello 2023-03-21 17:09:00 UTC
Created log4j tracking bugs for this issue:

Affects: fedora-all [bug 2180533]

Comment 8 errata-xmlrpc 2023-05-03 14:07:04 UTC
This issue has been addressed in the following products:

  RHINT Camel-Springboot 3.20.1

Via RHSA-2023:2100 https://access.redhat.com/errata/RHSA-2023:2100

Comment 11 errata-xmlrpc 2023-05-17 13:59:03 UTC
This issue has been addressed in the following products:

  AMQ Broker 7.10.3

Via RHSA-2023:3185 https://access.redhat.com/errata/RHSA-2023:3185

Comment 12 Product Security DevOps Team 2023-05-17 19:11:13 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2023-20861

Comment 13 errata-xmlrpc 2023-06-15 00:15:00 UTC
This issue has been addressed in the following products:

  OpenShift Developer Tools and Services for OCP 4.12

Via RHSA-2023:3610 https://access.redhat.com/errata/RHSA-2023:3610

Comment 14 errata-xmlrpc 2023-06-15 09:01:30 UTC
This issue has been addressed in the following products:

  OpenShift Developer Tools and Services for OCP 4.13

Via RHSA-2023:3622 https://access.redhat.com/errata/RHSA-2023:3622

Comment 15 errata-xmlrpc 2023-06-21 19:54:24 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization Engine 4.4
  Red Hat Virtualization 4 for Red Hat Enterprise Linux 8

Via RHSA-2023:3771 https://access.redhat.com/errata/RHSA-2023:3771

Comment 16 errata-xmlrpc 2023-06-29 20:08:27 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.12

Via RHSA-2023:3954 https://access.redhat.com/errata/RHSA-2023:3954

Comment 17 errata-xmlrpc 2023-08-16 10:56:08 UTC
This issue has been addressed in the following products:

  Red Hat support for Spring Boot 2.7.13

Via RHSA-2023:4612 https://access.redhat.com/errata/RHSA-2023:4612

Comment 18 errata-xmlrpc 2024-02-12 10:36:57 UTC
This issue has been addressed in the following products:

  OpenShift Developer Tools and Services for OCP 4.12

Via RHSA-2024:0778 https://access.redhat.com/errata/RHSA-2024:0778


Note You need to log in before you can comment on or make changes to this bug.